import React from 'react';
import moment from 'moment';
import purebem from 'purebem';
import { pgettext } from '@billogram/lang';
import useMonthpicker from './useMonthpicker';
import './FoundationMonthpicker.scss';
export default function FoundationMonthpicker(_ref) {
  var _ref$onChange = _ref.onChange,
      onChange = _ref$onChange === void 0 ? function () {} : _ref$onChange,
      _ref$value = _ref.value,
      value = _ref$value === void 0 ? Date.now() : _ref$value,
      _ref$yearOffset = _ref.yearOffset,
      yearOffset = _ref$yearOffset === void 0 ? 0 : _ref$yearOffset;
  var block = purebem('foundation-monthpicker');

  var _useMonthpicker = useMonthpicker({
    onChange: onChange,
    value: value
  }),
      moveToNextMonth = _useMonthpicker.moveToNextMonth,
      moveToPreviousMonth = _useMonthpicker.moveToPreviousMonth;

  return /*#__PURE__*/React.createElement("div", {
    className: block()
  }, /*#__PURE__*/React.createElement("div", {
    className: block('selector-icon', ['previous']),
    onClick: moveToPreviousMonth
  }), /*#__PURE__*/React.createElement("div", {
    className: block('selector-text')
  }, function render() {
    var date = moment(value);

    switch (true) {
      case yearOffset === 0:
        {
          return /*#__PURE__*/React.createElement("span", null, pgettext('foundation-monthpicker', "Month--".concat(date.month() + 1)), " ", date.year());
        }

      case yearOffset < 0:
        {
          return /*#__PURE__*/React.createElement("span", null, pgettext('foundation-monthpicker', "Month-abbrv--".concat(date.month() + 1)), " ", date.year() - 1, " \uFF0D ", pgettext('foundation-monthpicker', "Month-abbrv--".concat(date.month() + 1)), " ", date.year());
        }

      case yearOffset > 0:
        {
          return /*#__PURE__*/React.createElement("span", null, pgettext('foundation-monthpicker', "Month-abbrv--".concat(date.month() + 1)), " ", date.year(), " \uFF0D ", pgettext('foundation-monthpicker', "Month-abbrv--".concat(date.month() + 1)), " ", date.year() + 1);
        }
    }
  }()), /*#__PURE__*/React.createElement("div", {
    className: block('selector-icon', ['next']),
    onClick: moveToNextMonth
  }));
}
//# sourceMappingURL=FoundationMonthpicker.js.map